org.apache.sling.maven.slingstart.run

## Class ControlListener

- java.lang.Object
- - org.apache.sling.maven.slingstart.run.ControlListener

All Implemented Interfaces:
  Runnable

    public class ControlListener
    extends Object
    implements Runnable

Control listener. This class listens for the startup of a launchpad instance.

### Constructor Summary

Constructors
Constructor and Description
`ControlListener(int p)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getPort()`
`boolean` `isStarted()`
`void` `run()` Implements the server thread receiving commands from clients and acting upon them.
`void` `stop()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ControlListener

    public ControlListener(int p)

### Method Detail

#### getPort

    public int getPort()

#### isStarted

    public boolean isStarted()

#### stop

    public void stop()

#### run

    public void run()

Implements the server thread receiving commands from clients and acting upon them.

Specified by:
  `run` in interface `Runnable`